Package com.independentsoft.office.odf.styles

# Enum Class ListLevelPositionAndSpaceMode

java.lang.Object
java.lang.Enum<ListLevelPositionAndSpaceMode>
com.independentsoft.office.odf.styles.ListLevelPositionAndSpaceMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ListLevelPositionAndSpaceMode>`, `Constable`

public enum ListLevelPositionAndSpaceMode extends Enum<ListLevelPositionAndSpaceMode>
Represents how the position and spacing of the list labels (numbers or bullets) is defined.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LABEL_ALIGNMENT`
  The list level label alignment and the text align attribute are used to define the position and spacing of the list label and the list item.
  `LABEL_WIDTH_AND_POSITION`
  The space before, min label width, min label distance and text align attributes are used to define the position and spacing of the list label and the list item.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ListLevelPositionAndSpaceMode`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ListLevelPositionAndSpaceMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LABEL_ALIGNMENT

    public static final ListLevelPositionAndSpaceMode LABEL_ALIGNMENT
    The list level label alignment and the text align attribute are used to define the position and spacing of the list label and the list item.

  - ### LABEL_WIDTH_AND_POSITION

    public static final ListLevelPositionAndSpaceMode LABEL_WIDTH_AND_POSITION
    The space before, min label width, min label distance and text align attributes are used to define the position and spacing of the list label and the list item.

  - ### NONE

    public static final ListLevelPositionAndSpaceMode NONE
    None.

- ## Method Details

  - ### values

    public static ListLevelPositionAndSpaceMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ListLevelPositionAndSpaceMode valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null